Subject: Re: [X2Go-Dev] Bug#364: Please add config option to disable bubble help text and change the wording of it

From: Ricardo Díaz Martín <[email-masked]>
Date: Mon, 16 Dec 2013 08:52:06 +0100

2013/12/14 Stefan Baur <[email-masked]>

> Am 14.12.2013 21:16, schrieb Ricardo Díaz Martín:
>
>
>      And again, I'm kind of disappointed that we're adding silly eye
>>>     candy when there still are serious bugs to fix.
>>>
>>
>>
>> I added the pop-up because if you set on the x2goclient option "hide
>> windows on connect" (as I usually do with my users settings) looks like
>> nothing happens when you click on connect button. So some users try to
>> do again and again and connection stuck. It's no an "eye candy".
>>
>
> Okay, different use case, it seems. While I'm also setting "hide windows
> on connect", I'm using the autolauncher in combination with it, so that
> after login, the application that my users need the most immediately pops
> up.  So maybe we could hide it when autolaunch (--autostart=<app>) is used?
> Still, I don't see why making it a configurable option would be bad. Either
> your users behave and don't change settings on their own, so it stays the
> way you configured it for them, or you set the --no-session-edit parameter
> to force them.
>
>
>
>  In addition, it's complete true there are serious bugs to fix instead to
>> add this feature so you have some options:
>> - Read in deep the code and send patches to fix them. And of course do
>> it for free and using the time you must to be with your family, friends
>> or doing some sports or something else...
>>
>
> While I'm not a "frontline" coder, and only do debugging when Mike#1 tells
> me what and how to do, I do happen to check for issues and report
> bugs/oddities, plus I'm occasionally active in x2go-i10n (since no English
> native speaker seems to have enough time to check our English messages),
> and a lot of that actually happens in my free time, like the last
> evaluation of the x2goclient.exe that Mike#2 had asked for.
>
> Also, I have a few things in the works that add value to the
> ThinClientEnvironment part of the project, it's just that I'm not
> committing the source directly but showing it to Mike#1 first, since TCE is
> his "baby" and he will know best where to add my code or how to tweak it to
> play along nicely.
> Just two examples: One thing, passed on to him about a year ago, was code
> to auto-detect an X2Go server similar to how WPAD (
> http://en.wikipedia.org/wiki/Web_Proxy_Autodiscovery_Protocol) works.
> Judging from a note I recently saw regarding the X2Go Session Broker, I'm
> guessing he's either using it or it has inspired him to come up with
> something similar.
> Another thing is an X2Go ThinClient that can be booted off a CD or USB
> memory stick, for cases where PXE booting isn't available.
> This is not for older clients that don't have a PXE boot rom - you can
> simply boot gPXE or iPXE off a CD on those - but for cases where PXE
> booting isn't available for other reasons, like:
> - You are allowed to run an X2Go server, but do not have permission to
> change or set up a PXE/NFS environment (a common situation when someone
> wants to demonstrate X2Go in a corporate setting).
> - You are travelling somewhere, want to connect to your X2Go server
> somewhere else over the Internet, didn't bring your own computer, only a
> USB key fob, and don't trust the Windows installation found on the machine
> you're being offered to use (if you can trust it, you can of course simply
> use x2goclient.exe in portable mode).
>
> Looking back in the X2Go-dev mailing list history, I can see 17 messages
> from you and 113 (yes, one hundred and thirteen compared to seventeen)
> messages from me. So let that sink in for a moment before you continue
> barking up the wrong tree.
>

Very thanks to write 113 (yes, one hundred and thirteen) messages. It's
simple amazing. I wrote only 17... bad karma

>  - Fork the project and add the features you want
>> - Pay for commercial support to fix the bugs and your wishes
>>
>
> And that last point is what I've done previously, more than once. Maybe
> you'd like to check on the wiki who sponsored the development of the
> published applications feature, for example?
> http://wiki.x2go.org/doku.php/doc:sponsors
> http://wiki.x2go.org/doku.php/doc:deployment-stories:electronic-glovebox
>

> Or the Windows "interim" x2goclient that comes with the old pulseaudio,
> that avoids the stuttering noises when playing Flash videos? That would be
> me (or, to be exact: the company that I am the sole owner of), in both
> cases.
>
> Also, you might want to check who provides the Apple Mac Mini (that is,
> the machine itself, the power, and the network connection) free of charge
> that is used for the MacOS x2goclient builds? Again, me/my company.
>
> Your attitude, however, is one that might force me to reconsider my
> investment of time and money into the project. Especially as the Mac stuff
> is currently of zero commercial value to me: I bought that machine only so
> that the project could deliver a great user experience across all three
> major operating system platforms (while some of my customers are Mac
> owners, I learned that they prefer to run Windows on Apple hardware, so
> they run x2goclient.exe).
>
>
>
Oh my good! Please don't reconsider your very huge investment (mac mini is
very nice and expensive machine currently better than IBM mainframe). And
thanks for paying the development of the published applications feature!
Maybe it's nice for you because the product you sale is just this feature.

>
>  I don't want to be rude but it's an opensource project and not very
>> happy when somebody use the words "silly eye candy" talking about the
>> time other people spent for free.
>>
>
> I don't want to be rude, either, but "free" isn't a valid excuse for
> "bad". Nor has it ever been.
>

Sorry but people that fill a bug using word "silly" and still thinking it's
the right way to do it got no more my respect.

>
> See, you started with a seemingly harmless addition of an information
> "bubble". Then someone else came along and added the session name. This is
> somewhere between feature creep and a color-of-the-bicycle-shed (
> http://en.wikipedia.org/wiki/Wikipedia:Avoid_Parkinson%27s_
> Bicycle_Shed_Effect) discussion, and I would like to remind everybody
> involved that we should avoid that.
>

Thanks for the link.

>
> We should stick to the K.I.S.S. principle, get the serious bugs worked
> out, then add new features.
> I also doubt it makes debugging of currently existing bugs easier while
> new code for new features keeps getting added.
>